#include "head.h"



//设置各通道的参考电压
int write_freq_tr(uint8_t *data)
{
	int ret = 0;
	int cnt = 0;

	if(data == NULL)
		return -1;
		
    while(1)
    {
    	// ret = shm_comm_packet_write(SHM_ADDR_D_FREQ_TR, data, sizeof(SHM_FREQ_TR_T));
		if(ret > 0)	
		{
			break;
		}

		if(++cnt > 3)
			break;

        usleep(30);
    }
    return ret;
}




